/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.platform.dto.dict;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--资源详情--数据传输对象：字典目录
*
* createdate:  2021-02-03 17:30:52  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "字典目录")
public class CltDictCatalogDetailDto implements Serializable
{
  /**
   * 主键ID<br>
   */
  @ApiModelProperty("主键ID")
  @Size(max = 32, message="主键ID-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 字典类型编码<br>
   */
  @ApiModelProperty("字典类型编码")
  @Size(max = 30, message="字典类型编码-catalogCode: 数据长度不能 > 30" )
  private String catalogCode;
  /**
   * 字典类型名称<br>
   */
  @ApiModelProperty("字典类型名称")
  @Size(max = 255, message="字典类型名称-catalogName: 数据长度不能 > 255" )
  private String catalogName;
  /**
   * 语言地区<br>
   */
  @ApiModelProperty("语言地区")
  @Size(max = 20, message="语言地区-dictLocal: 数据长度不能 > 20" )
  private String dictLocal;
  /**
   * 是否系统默认<br>
   */
  @ApiModelProperty("是否系统默认")
  private Boolean systemDefault;
  /**
   * 是否启用<br>
   */
  @ApiModelProperty("是否启用")
  private Boolean enabled;
  /**
   * 是否展示（0不展示 1展示）<br>
   */
  @ApiModelProperty("是否展示（0不展示 1展示）")
  private Boolean show;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public String getCatalogCode()
  {
    return catalogCode;
  }

  public void setCatalogCode(String catalogCode)
  {
    this.catalogCode = catalogCode;
  }

  public String getCatalogName()
  {
    return catalogName;
  }

  public void setCatalogName(String catalogName)
  {
    this.catalogName = catalogName;
  }

  public String getDictLocal()
  {
    return dictLocal;
  }

  public void setDictLocal(String dictLocal)
  {
    this.dictLocal = dictLocal;
  }

  public Boolean getSystemDefault()
  {
    return systemDefault;
  }

  public void setSystemDefault(Boolean systemDefault)
  {
    this.systemDefault = systemDefault;
  }

  public Boolean getEnabled()
  {
    return enabled;
  }

  public void setEnabled(Boolean enabled)
  {
    this.enabled = enabled;
  }

  public Boolean getShow() {
    return show;
  }

  public void setShow(Boolean show) {
    this.show = show;
  }

  public String getCreatedBy()
  {
    return createdBy;
  }

  public void setCreatedBy(String createdBy)
  {
    this.createdBy = createdBy;
  }

  public Date getCreatedTime()
  {
    return createdTime;
  }

  public void setCreatedTime(Date createdTime)
  {
    this.createdTime = createdTime;
  }

  public String getUpdatedBy()
  {
    return updatedBy;
  }

  public void setUpdatedBy(String updatedBy)
  {
    this.updatedBy = updatedBy;
  }

  public Date getUpdatedTime()
  {
    return updatedTime;
  }

  public void setUpdatedTime(Date updatedTime)
  {
    this.updatedTime = updatedTime;
  }
}